package org.springblade.file.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 *  文件任务状态
 * @author bfhuange
 * @date 2024/10/22
 */
@AllArgsConstructor
@Getter
public enum FileTaskStatus {
    /**
     *  正在上传
     */
    UPLOADING("uploading", "正在上传"),
    /**
     *  上传完成
     */
    COMPLETED("completed", "上传完成"),
    /**
     *  上传失败
     */
    FAILED("failed", "上传失败"),
    /**
     *  已暂停
     */
    PAUSED("paused", "已暂停"),
    ;
    /**
     *  编码
     */
    private final String code;
    /**
     *  名称
     */
    private final String name;
}
